using UnityEngine;
using System;
using System.Collections.Generic;
using System.Collections;
using System.IO;
using UnityEngine.UI;
using System.Linq;
using TMPro;
using UnityEngine.Events;


//BASE SCRIPT
namespace Mod
{
    public class Mod
    {
        public static void Main()
        {



ModAPI.Register(
    new Modification()
    {
        
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Orange.",
        DescriptionOverride = "Orange Because He Was Missing In Melon Playground",
        CategoryOverride = ModAPI.FindCategory("Melon Playground"),
        ThumbnailOverride = ModAPI.LoadSprite("OrangeThumb.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("OrangeSkinLayer.png");// textures
            var flesh = ModAPI.LoadTexture("OrangeFleshLayer.png");// textures
            var bone = ModAPI.LoadTexture("OrangeBoneLayer.png");// textures
            var person = Instance.GetComponent<PersonBehaviour>(); //dont change
            person.SetBodyTextures(skin, flesh, bone, 1); //dont change
            person.SetBruiseColor(212, 90, 30);//colors'n'stuff
            person.SetSecondBruiseColor(173, 80, 35);//colors'n'stuff
            person.SetThirdBruiseColor(186, 98, 56);//colors'n'stuff
            person.SetRottenColour(184, 121, 92);//colors'n'stuff
            person.SetBloodColour(232, 91, 26);//colors'n'stuff
        }
    }
);


ModAPI.Register(
    new Modification()
    {
        
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Pear.",
        DescriptionOverride = "Pear Because He Was Missing In Melon Playground",
        CategoryOverride = ModAPI.FindCategory("Melon Playground"),
        ThumbnailOverride = ModAPI.LoadSprite("PearThumb.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("PearSkinLayer.png");// textures
            var flesh = ModAPI.LoadTexture("PearFleshLayer.png");// textures
            var bone = ModAPI.LoadTexture("PearBoneLayer.png");// textures
            var person = Instance.GetComponent<PersonBehaviour>(); //dont change
            person.SetBodyTextures(skin, flesh, bone, 1); //dont change
            person.SetBruiseColor(12, 117, 40);//colors'n'stuff
            person.SetSecondBruiseColor(20, 89, 38);//colors'n'stuff
            person.SetThirdBruiseColor(44, 92, 57);//colors'n'stuff
            person.SetRottenColour(117, 148, 125);//colors'n'stuff
            person.SetBloodColour(30, 166, 65);//colors'n'stuff
        }
    }
);


ModAPI.Register(
    new Modification()
    {
        
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Blueberry.",
        DescriptionOverride = "Blueberry Because He Was Missing In Melon Playground",
        CategoryOverride = ModAPI.FindCategory("Melon Playground"),
        ThumbnailOverride = ModAPI.LoadSprite("BlueberryThumb.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("BlueberrySkinLayer.png");// textures
            var flesh = ModAPI.LoadTexture("BlueberryFleshLayer.png");// textures
            var bone = ModAPI.LoadTexture("BlueberryBoneLayer.png");// textures
            var person = Instance.GetComponent<PersonBehaviour>(); //dont change
            person.SetBodyTextures(skin, flesh, bone, 1); //dont change
            person.SetBruiseColor(10, 17, 97);//colors'n'stuff
            person.SetSecondBruiseColor(34, 40, 110);//colors'n'stuff
            person.SetThirdBruiseColor(0, 11, 130);//colors'n'stuff
            person.SetRottenColour(73, 79, 140);//colors'n'stuff
            person.SetBloodColour(48, 64, 242);//colors'n'stuff
        }
    }
);


ModAPI.Register(
    new Modification()
    {
        
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Lemon.",
        DescriptionOverride = "Lemon Because He Was Missing In Melon Playground",
        CategoryOverride = ModAPI.FindCategory("Melon Playground"),
        ThumbnailOverride = ModAPI.LoadSprite("LemonThumb.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("LemonSkinLayer.png");// textures
            var flesh = ModAPI.LoadTexture("LemonFleshLayer.png");// textures
            var bone = ModAPI.LoadTexture("LemonBoneLayer.png");// textures
            var person = Instance.GetComponent<PersonBehaviour>(); //dont change
            person.SetBodyTextures(skin, flesh, bone, 1); //dont change
            person.SetBruiseColor(189, 189, 81);//colors'n'stuff
            person.SetSecondBruiseColor(168, 168, 10);//colors'n'stuff
            person.SetThirdBruiseColor(138, 138, 26);//colors'n'stuff
            person.SetRottenColour(166, 166, 96);//colors'n'stuff
            person.SetBloodColour(224, 224, 92);//colors'n'stuff
        }
    }
);


ModAPI.Register(
    new Modification()
    {
        
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Eggplant.",
        DescriptionOverride = "Eggplant Because He Was Missing In Melon Playground",
        CategoryOverride = ModAPI.FindCategory("Melon Playground"),
        ThumbnailOverride = ModAPI.LoadSprite("EggplantThumb.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("EggplantSkinLayer.png");// textures
            var flesh = ModAPI.LoadTexture("EggplantFleshLayer.png");// textures
            var bone = ModAPI.LoadTexture("EggplantBoneLayer.png");// textures
            var person = Instance.GetComponent<PersonBehaviour>(); //dont change
            person.SetBodyTextures(skin, flesh, bone, 1); //dont change
            person.SetBruiseColor(34, 3, 46);//colors'n'stuff
            person.SetSecondBruiseColor(66, 32, 79);//colors'n'stuff
            person.SetThirdBruiseColor(79, 20, 102);//colors'n'stuff
            person.SetRottenColour(88, 64, 97);//colors'n'stuff
            person.SetBloodColour(104, 7, 140);//colors'n'stuff
        }
    }
);


ModAPI.Register(
    new Modification()
    {
        
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Potato.",
        DescriptionOverride = "Potato Because He Was Missing In Melon Playground",
        CategoryOverride = ModAPI.FindCategory("Melon Playground"),
        ThumbnailOverride = ModAPI.LoadSprite("PotatoThumb.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("PotatoSkinLayer.png");// textures
            var flesh = ModAPI.LoadTexture("PotatoFleshLayer.png");// textures
            var bone = ModAPI.LoadTexture("PotatoBoneLayer.png");// textures
            var person = Instance.GetComponent<PersonBehaviour>(); //dont change
            person.SetBodyTextures(skin, flesh, bone, 1); //dont change
            person.SetBruiseColor(247, 220, 146);//colors'n'stuff
            person.SetSecondBruiseColor(250, 238, 205);//colors'n'stuff
            person.SetThirdBruiseColor(255, 245, 217);//colors'n'stuff
            person.SetRottenColour(204, 163, 47);//colors'n'stuff
            person.SetBloodColour(242, 205, 99);//colors'n'stuff
        }
    }
);


ModAPI.Register(
    new Modification()
    {
        
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Tomato.",
        DescriptionOverride = "Tomato Because He Was Missing In Melon Playground",
        CategoryOverride = ModAPI.FindCategory("Melon Playground"),
        ThumbnailOverride = ModAPI.LoadSprite("TomatoThumb.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("TomatoSkinLayer.png");// textures
            var flesh = ModAPI.LoadTexture("TomatoFleshLayer.png");// textures
            var bone = ModAPI.LoadTexture("TomatoBoneLayer.png");// textures
            var person = Instance.GetComponent<PersonBehaviour>(); //dont change
            person.SetBodyTextures(skin, flesh, bone, 1); //dont change
            person.SetBruiseColor(173, 18, 7);//colors'n'stuff
            person.SetSecondBruiseColor(148, 19, 9);//colors'n'stuff
            person.SetThirdBruiseColor(138, 34, 26);//colors'n'stuff
            person.SetRottenColour(115, 33, 24);//colors'n'stuff
            person.SetBloodColour(166, 30, 15);//colors'n'stuff
        }
    }
);





        }
    }
}